Strophe 0.13 XMPP client library

Typedefs | Functions
parser.h File Reference

Internally used functions and structures. More...

## Typedefs
typedef void(* | parser_start_callback) (char *name, char **attrs, void *userdata)
typedef void(* | parser_end_callback) (char *name, void *userdata)
typedef void(* | parser_stanza_callback) (xmpp_stanza_t *stanza, void *userdata)

## Functions
parser_t * | parser_new (xmpp_ctx_t *ctx, parser_start_callback startcb, parser_end_callback endcb, parser_stanza_callback stanzacb, void *userdata)
void | parser_free (parser_t *parser)
char * | parser_attr_name (xmpp_ctx_t *ctx, char *nsname)
int | parser_reset (parser_t *parser)
int | parser_feed (parser_t *parser, char *chunk, int len)

## Detailed Description

Internally used functions and structures.

## Typedef Documentation

## ◆ parser_start_callback

typedef void(* parser_start_callback) (char *name, char **attrs, void *userdata)

## ◆ parser_end_callback

typedef void(* parser_end_callback) (char *name, void *userdata)

## ◆ parser_stanza_callback

typedef void(* parser_stanza_callback) (xmpp_stanza_t *stanza, void *userdata)

## Function Documentation

## ◆ parser_new()

parser_t * parser_new | ( | xmpp_ctx_t * | ctx,
|  | parser_start_callback | startcb,
|  | parser_end_callback | endcb,
|  | parser_stanza_callback | stanzacb,
|  | void * | userdata )

## ◆ parser_free()

void parser_free | ( | parser_t * | parser | ) |

## ◆ parser_attr_name()

char * parser_attr_name | ( | xmpp_ctx_t * | ctx,
|  | char * | nsname )

## ◆ parser_reset()

int parser_reset | ( | parser_t * | parser | ) |

## ◆ parser_feed()

int parser_feed | ( | parser_t * | parser,
|  | char * | chunk,
|  | int | len )